BuildRequires: gcc-c++
Name:           gweled
Version:        0.9
Release:        alt1_3

Summary:        Swapping gem game

Group:          Games/Other
License:        GPLv2+
URL:            http://launchpad.net/gweled
Source0:        http://launchpad.net/gweled/trunk/0.9/+download/gweled-%{version}.tar.gz
#Patch0:         %{name}-Makefile.patch
#Patch1:         %{name}-Sample_Free.patch
#Patch2:         %{name}-ppc.diff
#Patch3:         %{name}-mikmod-disable-disk-writers.diff
# patch4 and 5 taken from Ubuntu; https://bugs.launchpad.net/ubuntu/+source/gweled/+bug/90499
#Patch4:         %{name}-disable-music.diff
#Patch5:         %{name}-xdg_pref.diff

BuildRequires:  libgnomeui-devel >= 2.0.0
BuildRequires:  librsvg-devel >= 2.0.0
BuildRequires:  libcroco-devel >= 0.3.0
BuildRequires:  libmikmod-devel
BuildRequires:  desktop-file-utils
BuildRequires:	intltool
Source44: import.info

%description
Gweled is a Gnome version of a popular PalmOS/Windows/Java game called
"Bejeweled" or "Diamond Mine". The aim of the game is to make alignment of 3 or
more gems, both vertically or horizontally by swapping adjacent gems. The game
ends when there are no possible moves left.


%prep
%setup -q
#%patch0  -p0 -b .patch0
#%patch1  -p0 -b .patch1
# the next two were extracted from the debian package; I asked upstream to 
# apply them, but got no reply
# http://ftp.debian.org/debian/pool/main/g/gweled/gweled_0.7-2.diff.gz
#%patch2  -p0 -b .patch2
#%patch3  -p1 -b .patch3
#%patch4  -p1 -b .patch4
#%patch5  -p1 -b .patch5

%build
export LDFLAGS="${LDFLAGS} -lm -Wl,--export-dynamic "
%configure
echo "Encoding=UTF-8" >> gweled.desktop
mv gweled.desktop gweled.desktop.old
iconv --from-code=ISO-8859-1 --to-code=UTF-8 <gweled.desktop.old > gweled.desktop
make %{?_smp_mflags}



%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install  --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora,LogicGame                    \
  --remove-category Application                        \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
mkdir $RPM_BUILD_ROOT%{_localstatedir}/lib/
mv $RPM_BUILD_ROOT%{_localstatedir}/games/ $RPM_BUILD_ROOT%{_localstatedir}/lib/
# gweled.timed.scores not shipped in 0.7, but needed
#cp -p $RPM_BUILD_ROOT%{_localstatedir}/lib/games/gweled.easy.scores $RPM_BUILD_ROOT%{_localstatedir}/lib/games/gweled.timed.scores

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%attr(2711,root,games) %{_bindir}/%{name}
%config(noreplace) %attr(0664,games,games) %{_localstatedir}/lib/games/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%_iconsdir/*/*/*/*
%{_datadir}/%{name}/
%{_datadir}/sounds/%{name}/

%changelog
* Mon May 23 2011 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_3
- converted from Fedora by srpmconvert script

